Package org.drinkless.tdlib

# Class TdApi.MessageGroupCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageGroupCall

Enclosing class:
  `TdApi`

public static class TdApi.MessageGroupCall extends TdApi.MessageContent
A message with information about a group call not bound to a chat. If the message is incoming, the call isn't active, isn't missed, and has no duration, and getOption("can_accept_calls") is true, then incoming call screen must be shown to the user. Use getGroupCallParticipants to show current group call participants on the screen. Use joinGroupCall to accept the call or declineGroupCallInvitation to decline it. If the call become active or missed, then the call screen must be hidden.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Call duration, in seconds; for left calls only.
  `boolean`
  `isActive`
  True, if the call is active, i.e.
  `boolean`
  `isVideo`
  True, if the call is a video call.
  `TdApi.MessageSender[]`
  `otherParticipantIds`
  Identifiers of some other call participants.
  `long`
  `uniqueId`
  Persistent unique group call identifier.
  `boolean`
  `wasMissed`
  True, if the called user missed or declined the call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageGroupCall()`
  A message with information about a group call not bound to a chat.
  `MessageGroupCall(long uniqueId, boolean isActive, boolean wasMissed, boolean isVideo, int duration, TdApi.MessageSender[] otherParticipantIds)`
  A message with information about a group call not bound to a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### uniqueId

    public long uniqueId
    Persistent unique group call identifier.

  - ### isActive

    public boolean isActive
    True, if the call is active, i.e. the called user joined the call.

  - ### wasMissed

    public boolean wasMissed
    True, if the called user missed or declined the call.

  - ### isVideo

    public boolean isVideo
    True, if the call is a video call.

  - ### duration

    public int duration
    Call duration, in seconds; for left calls only.

  - ### otherParticipantIds

    public TdApi.MessageSender[] otherParticipantIds
    Identifiers of some other call participants.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageGroupCall

    public MessageGroupCall()
    A message with information about a group call not bound to a chat. If the message is incoming, the call isn't active, isn't missed, and has no duration, and getOption("can_accept_calls") is true, then incoming call screen must be shown to the user. Use getGroupCallParticipants to show current group call participants on the screen. Use joinGroupCall to accept the call or declineGroupCallInvitation to decline it. If the call become active or missed, then the call screen must be hidden.

  - ### MessageGroupCall

    public MessageGroupCall(long uniqueId, boolean isActive, boolean wasMissed, boolean isVideo, int duration, TdApi.MessageSender[] otherParticipantIds)
    A message with information about a group call not bound to a chat. If the message is incoming, the call isn't active, isn't missed, and has no duration, and getOption("can_accept_calls") is true, then incoming call screen must be shown to the user. Use getGroupCallParticipants to show current group call participants on the screen. Use joinGroupCall to accept the call or declineGroupCallInvitation to decline it. If the call become active or missed, then the call screen must be hidden.
    Parameters:
      `uniqueId` - Persistent unique group call identifier.
      `isActive` - True, if the call is active, i.e. the called user joined the call.
      `wasMissed` - True, if the called user missed or declined the call.
      `isVideo` - True, if the call is a video call.
      `duration` - Call duration, in seconds; for left calls only.
      `otherParticipantIds` - Identifiers of some other call participants.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR